Bug 106304 - Exporting text in shape with hard newline or empty paragraph to .pptx broken
Summary: Exporting text in shape with hard newline or empty paragraph to .pptx broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-03 17:53 UTC by Tor Lillqvist
Modified: 2017-04-12 11:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original slideshow as .odp (11.76 KB, application/vnd.oasis.opendocument.presentation)
2017-03-03 17:57 UTC, Tor Lillqvist
Details
Previous document exported as .pptx (21.04 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-03-03 18:00 UTC, Tor Lillqvist
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2017-03-03 17:53:54 UTC
Description:
See attached sample documents.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_3) AppleWebKit/602.4.8 (KHTML, like Gecko) Version/10.0.3 Safari/602.4.8
Comment 1 Tor Lillqvist 2017-03-03 17:57:40 UTC
Created attachment 131613 [details]
Original slideshow as .odp

The round shape contains two paragraphs. The first paragraph has the text "A", followed by a hard newline (Shift-Enter in LO), and "DEF". The second paragraph is empty. As can be seen in the LibreOffice UI, the paragraphs are centred horizontally and all characters have size 8.
Comment 2 Tor Lillqvist 2017-03-03 18:00:25 UTC
Created attachment 131614 [details]
Previous document exported as .pptx

As can be seen by loading this into LibreOffice, the first line "A" is now apparently a separate paragraph, and not centred, but left-aligned. Also, the empty paragraph at the end has character size 18 (which apparently is some kind of default). This too large height causes the whole text to be too high inside the shape compared to the original document.
Comment 3 Jacques Guilleron 2017-03-03 19:51:01 UTC
Hi,

I reproduce with
LO 4.4.7.2 Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: fr_FR
and
LO 5.4.0.0.alpha0+ Build ID: f0c7cbe1d8505d3c1f5a2b2253efda35542c898b
CPU threads: 2; OS: Windows 6.1; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-02-22_04:35:00
Locale: fr-FR (fr_FR); Calc: CL

Jacques
Comment 4 Commit Notification 2017-03-04 15:03:49 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1154cda87d518156d1e52dfb81d5e23b32ab23d5

tdf#106304: Output <a:br> instead of &#10; for hard newlines

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-03-04 15:28:37 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f93eeb0ba8c4af5c96d1db36f184ffbc71c67ba

tdf#106304: Don't unnecessarily use bogus default char size for a:endParaRPr

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-07 16:11:36 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31e6b78a196fbf73d61349ad3530cf49ee145186&h=libreoffice-5-3

tdf#106304: Fix newline and empty paragraph font size issues in .pptx export

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jacques Guilleron 2017-03-20 10:20:50 UTC
Hi Tor,

Works as expected with:
LO 5.4.0.0.alpha0+ Build ID: 96a9b38db5fd9c21bffe4274fa7d5083d4bc2ee9
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-18_23:07:25
Locale: fr-FR (fr_FR); Calc: CL

Jacques
Comment 8 Commit Notification 2017-04-12 11:58:37 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e43f32b19df707a68307a693014df10f4645d98&h=libreoffice-5-2

tdf#106304: Fix newline and empty paragraph font size issues in .pptx export

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.